--- potool-0.11.orig/debian/changelog
+++ potool-0.11/debian/changelog
@@ -0,0 +1,152 @@
+potool (0.11-2) unstable; urgency=high
+
+ * Update Polish manpage path in update-alternatives invocation. The wrong
+ path (apart from making the Polish manpage version unavailable via 'poedit'
+ name) caused postinst failures with lenny's dpkg version, which made it a
+ grave bug. Closes: #597321
+
+ -- Marcin Owsiany <porridge@debian.org> Sat, 18 Sep 2010 18:14:37 +0100
+
+potool (0.11-1) unstable; urgency=medium
+
+ * New version. Upstream and Debian are now maintained in the same Git
+ repository.
+ * Includes a patch to poedit from Jakub Wilk for tempfile naming and
+ cleanup. Closes: #533833, #533835
+ * Includes changes to check return codes/values from calls which can write
+ to the filesystem. Closes: #546811
+ * Includes some manpage undefined macro cleanups.
+ * Policy version update:
+ - use filter function to parse DEB_BUILD_OPTIONS (elements are now
+ whitespace-separated)
+ - run the test suite after building
+ - change the localized manpages path to not include country and encoding
+ - do not ignore make clean errors
+ - update the homepage URL and move it from the description to the
+ dedicated header
+
+ -- Marcin Owsiany <porridge@debian.org> Fri, 25 Sep 2009 21:47:59 +0100
+
+potool (0.10-1) unstable; urgency=low
+
+ * New upstream version
+ - poedit now does some recoding, which hopefully Closes: #297074
+ * Added a watch file
+ * Fixed install to obey nostrip. Closes: #437784
+ * Install all the new manpages properly, get rid of symlinks
+ * Get rid of the README.PL, now that all documentation is propely in the
+ manpages
+ * Document that postats1 is gone in Debian.NEWS
+
+ -- Marcin Owsiany <porridge@debian.org> Tue, 25 Sep 2007 10:30:02 +0100
+
+potool (0.9-1) unstable; urgency=medium
+
+ * New upstream revision
+ - fixed plural entries support in filtering, merging and copying msgids
+
+ -- Marcin Owsiany <porridge@debian.org> Tue, 15 May 2007 14:19:04 +0100
+
+potool (0.8-1) unstable; urgency=medium
+
+ * New upstream revision
+ - fixed a segfault when filtering plural entries
+ - fixed some memleaks
+
+ -- Marcin Owsiany <porridge@debian.org> Tue, 15 May 2007 11:19:23 +0100
+
+potool (0.7-2) unstable; urgency=low
+
+ * Added a link to the new program's home page in description and copyright
+
+ -- Marcin Owsiany <porridge@debian.org> Thu, 10 May 2007 22:28:45 +0100
+
+potool (0.7-1) unstable; urgency=low
+
+ * New upstream revision
+ - adds support for msgid_plural and msgstr[N]. Closes: #422820
+ - adds error checking to postats scripts. Closes: #422835
+ * Changed from patching Makefile to set some variables to setting them on
+ make command line in debian/rules
+
+ -- Marcin Owsiany <porridge@debian.org> Thu, 10 May 2007 20:47:01 +0100
+
+potool (0.6-1) unstable; urgency=low
+
+ * New upstream revision
+ - updates sort invocation syntax in postats{,1}. Closes: #416165
+ * debian/copyright: updated project website address and added CVS repository
+ location
+ * Update Standards-Version to 3.7.2 (no changes needed)
+
+ -- Marcin Owsiany <porridge@debian.org> Sun, 25 Mar 2007 16:20:59 +0100
+
+potool (0.5-2) unstable; urgency=low
+
+ * Use alternatives mechanism to provide /usr/bin/poedit, since poedit
+ package wants to change /usr/bin/poeditor to /usr/bin/poedit to match
+ upstream name. Closes: #206062
+ * Change dh compat mode to 4
+ - added recommended ${misc:Depends}
+ * Add conflicts with an old version of poedit, which used to provide
+ /usr/bin/poedit as a non-alternative
+
+ -- Marcin Owsiany <porridge@debian.org> Sun, 24 Aug 2003 15:37:18 +0200
+
+potool (0.5-1) unstable; urgency=low
+
+ * New upstream release - doesn't choke on obsolete entries with comments.
+ * Pay attention to DEB_BUILD_OPTIONS
+ * Updated standards-version
+
+ -- Marcin Owsiany <porridge@debian.org> Tue, 1 Jul 2003 16:30:14 +0200
+
+potool (0.4-1) unstable; urgency=low
+
+ * New upstream release - fixes a bug which causes potool to use
+ the tags from old file, instead the new one.
+
+ -- Marcin Owsiany <porridge@debian.org> Tue, 8 Jan 2002 20:46:40 +0100
+
+potool (0.3-1) unstable; urgency=low
+
+ * New upstream release (added #include <stdlib.h>)
+ * Changed $EDITOR in poedit to $EDITCMD - otherwise sensible-editor loops.
+
+ -- Marcin Owsiany <porridge@debian.org> Fri, 23 Nov 2001 01:41:26 +0100
+
+potool (0.2-2) unstable; urgency=low
+
+ * Changed my address in the manpage
+ * Update Standards-Version to 3.5.6.0
+
+ -- Marcin Owsiany <porridge@debian.org> Mon, 5 Nov 2001 09:56:18 +0100
+
+potool (0.2-1) unstable; urgency=low
+
+ * New upstream release
+ * poedit now uses sensible-editor
+ * Added source-depends on debhelper
+ * Removed -d flag on compilation
+ * Updated Standards-Version to 3.5.3.0
+
+ -- Marcin Owsiany <porridge@debian.org> Thu, 26 Apr 2001 04:04:28 +0200
+
+potool (0.1-2) unstable; urgency=low
+
+ * Changed my email to @debian.org
+ * Closed the wnpp bug. Closes: #79544
+
+ -- Marcin Owsiany <porridge@debian.org> Mon, 22 Jan 2001 02:39:34 +0100
+
+potool (0.1-1) unstable; urgency=low
+
+ * Initial Release.
+ * This is my first Debian package.
+ * Reset $DESTDIR to empty value and modified $BINDIR in Makefile to
+ allow proper debianization
+ * Commented out poupdate installation - need to make it work for any
+ language first.
+
+ -- Marcin Owsiany <porridge@pandora.info.bielsko.pl> Wed, 13 Dec 2000 00:39:40 +0100
+
--- potool-0.11.orig/debian/NEWS
+++ potool-0.11/debian/NEWS
@@ -0,0 +1,5 @@
+potool (0.10-1) unstable; urgency=low
+
+ * The "postats1" script is gone. Please use "postats -f" instead.
+
+ -- Marcin Owsiany <porridge@debian.org> Mon, 24 Sep 2007 14:58:39 +0100
--- potool-0.11.orig/debian/potool.files
+++ potool-0.11/debian/potool.files
@@ -0,0 +1,4 @@
+usr/bin/potool
+usr/bin/potooledit
+usr/bin/postats
+usr/bin/change-po-charset
--- potool-0.11.orig/debian/control
+++ potool-0.11/debian/control
@@ -0,0 +1,17 @@
+Source: potool
+Section: utils
+Priority: optional
+Maintainer: Marcin Owsiany <porridge@debian.org>
+Standards-Version: 3.8.0
+Build-Depends: libglib2.0-dev, bison, flex, debhelper (>> 4.0.0)
+
+Package: potool
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: poedit (<< 1.0.3-2)
+Homepage: http://marcin.owsiany.pl/potool-page
+Description: A program to aid manipulation of gettext po files
+ This package contains the filter program 'potool', as well
+ as a few helper scripts:
+ poedit - helps editing of po files in your favourite editor
+ postats - prints statistics of how much of a file is translated
--- potool-0.11.orig/debian/rules
+++ potool-0.11/debian/rules
@@ -0,0 +1,68 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+# Modified for potool by Marcin Owsiany <porridge@debian.org>
+
+#export DH_VERBOSE=1
+
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+ CFLAGS += -O0
+else
+ CFLAGS += -O2
+endif
+export CFLAGS
+
+# dh_strip will take care of nostrip
+
+build: build-stamp
+build-stamp:
+ dh_testdir
+ $(MAKE) DESTDIR= BINDIR=/usr/bin CFLAGS='$$(GLIB_INCLUDE) -g -Wall $(CFLAGS)'
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ cd tests && bash test
+endif
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp
+ $(MAKE) clean
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+ mkdir debian/tmp debian/tmp/usr debian/tmp/usr/bin
+ $(MAKE) install DESTDIR=`pwd`/debian/tmp BINDIR='$$(DESTDIR)/usr/bin' BININSTALL=install
+
+
+binary-indep: build install
+# We have nothing to do by default.
+
+binary-arch: build install
+ dh_testdir
+ dh_testroot
+ dh_movefiles
+ dh_installchangelogs
+ dh_installdocs
+ dh_installdirs usr/share/man/man1 usr/share/man/pl/man1
+ dh_installman potool.1 change-po-charset.1 postats.1
+ install poedit.1 debian/potool/usr/share/man/man1/potooledit.1
+ for m in potool change-po-charset postats ; do \
+ install $${m}.pl.1 debian/potool/usr/share/man/pl/man1/$${m}.1 ; done
+ install poedit.pl.1 debian/potool/usr/share/man/pl/man1/potooledit.1
+ dh_installchangelogs
+ dh_strip
+ dh_compress
+ dh_fixperms
+ dh_installdeb
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install
--- potool-0.11.orig/debian/watch
+++ potool-0.11/debian/watch
@@ -0,0 +1,2 @@
+version=3
+http://marcin.owsiany.pl/potool.en.html potool/potool-(\d[^[:space:]]*)\.(?:tar\.gz|tgz|tar\.bz2|tbz|tbz2)
--- potool-0.11.orig/debian/copyright
+++ potool-0.11/debian/copyright
@@ -0,0 +1,29 @@
+This package was debianized by Marcin Owsiany <porridge@debian.org> on
+Wed, 13 Dec 2000 00:39:40 +0100.
+
+It was downloaded from the CVS server of GNOME PL project. See
+http://www.gnomepl.org/
+The CVS repository is now at pserver://cvs.pld-linux.org:/gnomepl
+(gnomepl/tools/potool)
+The program's current home page is http://marcin.owsiany.pl/potool.en.html
+
+Upstream Authors:
+ Zbigniew Chyla <cyba@gnome.pl>
+ Marcin Owsiany <porridge@debian.org>
+
+Copyright information:
+
+potool is a program aiding editing of po files
+Copyright (C) 1999-2000 Zbigniew Chyla <cyba@gnome.pl>
+Copyright (C) 2000-2007 Marcin Owsiany <porridge@debian.org>
+
+License information:
+
+This program is free software; you can redistribute it and/or modify
+it under the terms of the GNU General Public License as published by
+the Free Software Foundation; either version 2 of the License, or
+(at your option) any later version.
+
+GNU General Public License is available as /usr/share/common-licenses/GPL-2
+on Debian systems.
+
--- potool-0.11.orig/debian/potool.prerm
+++ potool-0.11/debian/potool.prerm
@@ -0,0 +1,68 @@
+#!/bin/sh
+# Written by Charles Briscoe-Smith, March 1998. Public Domain.
+# Adapted for potool by Marcin Owsiany, August 2003
+
+# Abort if any command returns an error value
+set -e
+
+# This script is called as the first step in removing the package from
+# the system. This includes cases where the user explicitly asked for
+# the package to be removed, upgrade, automatic removal due to conflicts,
+# and deconfiguration due to temporary removal of a depended-on package.
+
+deregister_alternatives()
+{
+ update-alternatives --remove poedit /usr/bin/potooledit
+}
+
+case "$1" in
+ remove)
+ # This package about to be removed. There are two sub-cases.
+
+ deregister_alternatives
+
+ if test "${2+set}" = set; then
+ if test "$2" != in-favour; then
+ echo "$0: undocumented call to \`prerm $*'" 1>&2
+ exit 1
+ fi
+ # We are being removed because of a conflict with package $3
+ # (version $4), which is now being installed.
+ :
+ else
+ # The package is being removed in its own right.
+ :
+ fi ;;
+ deconfigure)
+ if test "$2" != in-favour -o "$5" != removing; then
+ echo "$0: undocumented call to \`prerm $*'" 1>&2
+ exit 1
+ fi
+ # Package $6 (version $7) which we depend on is being removed due
+ # to a conflict with package $3 (version $4), and this package is
+ # being deconfigured until $6 can be reinstalled.
+
+ deregister_alternatives
+
+ ;;
+ upgrade)
+ # Prepare to upgrade FROM THIS VERSION of this package to version $2.
+
+ deregister_alternatives
+
+ ;;
+ failed-upgrade)
+ # Prepare to upgrade from version $2 of this package TO THIS VERSION.
+ # This is only used if the old version's prerm couldn't handle it,
+ # and returned non-zero. (Fix old prerm bugs here.)
+
+ deregister_alternatives
+
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 1;;
+esac
+
+#DEBHELPER#
+
+exit 0
--- potool-0.11.orig/debian/potool.postinst
+++ potool-0.11/debian/potool.postinst
@@ -0,0 +1,83 @@
+#!/bin/sh
+# Written by Charles Briscoe-Smith, March-April 1998. Public Domain.
+# Adapted for potool by Marcin Owsiany, August 2003
+
+# Abort if any command returns an error value
+set -e
+
+# This script is called as the last step of the installation of the
+# package. All the package's files are in place, dpkg has already done
+# its automatic conffile handling, and all the packages we depend of
+# are already fully installed and configured.
+
+register_alternatives()
+{
+ update-alternatives \
+ --install /usr/bin/poedit poedit /usr/bin/potooledit 80 \
+ --slave /usr/share/man/man1/poedit.1.gz poedit.1.gz \
+ /usr/share/man/man1/potooledit.1.gz \
+ --slave /usr/share/man/pl/man1/poedit.1.gz poedit.pl.1.gz \
+ /usr/share/man/pl/man1/potooledit.1.gz
+}
+
+case "$1" in
+ configure)
+ # Configure this package. If the package must prompt the user for
+ # information, do it here. There are three sub-cases.
+
+ register_alternatives
+
+ if test "${2+set}" != set; then
+ # We're being installed by an ancient dpkg which doesn't remember
+ # which version was most recently configured, or even whether
+ # there is a most recently configured version.
+ :
+ elif test -z "$2" -o "$2" = "<unknown>"; then
+ # The package has not ever been configured on this system, or was
+ # purged since it was last configured.
+ :
+ else
+ # Version $2 is the most recently configured version of this
+ # package.
+ :
+ fi ;;
+ abort-upgrade)
+ # Back out of an attempt to upgrade this package FROM THIS VERSION
+ # to version $2. Undo the effects of "prerm upgrade $2".
+
+ register_alternatives
+
+ ;;
+ abort-remove)
+ if test "$2" != in-favour; then
+ echo "$0: undocumented call to \`postinst $*'" 1>&2
+ exit 1
+ fi
+ # Back out of an attempt to remove this package, which was due to
+ # a conflict with package $3 (version $4). Undo the effects of
+ # "prerm remove in-favour $3 $4".
+
+ register_alternatives
+
+ ;;
+ abort-deconfigure)
+ if test "$2" != in-favour -o "$5" != removing; then
+ echo "$0: undocumented call to \`postinst $*'" 1>&2
+ exit 1
+ fi
+ # Back out of an attempt to deconfigure this package, which was
+ # due to package $6 (version $7) which we depend on being removed
+ # to make way for package $3 (version $4). Undo the effects of
+ # "prerm deconfigure in-favour $3 $4 removing $6 $7".
+
+ register_alternatives
+
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 1;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
--- potool-0.11.orig/debian/compat
+++ potool-0.11/debian/compat
@@ -0,0 +1 @@
+4